Subject: [Sigtran] Server Response to UA Response messages?

From: Saraswati Bose <[email-masked]>
Date: Tue, 30 May 2006 22:49:42 -0700 (PDT)

Hi Brian,
  What should be the appropriate response of sigtran endpoint acting as server on receipt of response messages from client end.
  For example: what if in ASP INACTIVE state (ASP inititates UP procedure) SG receives ACTIVE ACK message?
   
  Regards,
Saraswati

---------------------------------
Yahoo! Messenger with Voice. Make PC-to-Phone Calls to the US (and 30+ countries) for 2¢/min or less.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 31 May 2006 00:11:42 -0600

Saraswati,

I return ERROR("Unexpected Message") in such a situation; that is, when
any recognizable message that should only be travelling in the opposite
direction is received.  I believe this is consistent with all of the UAs.
For example, RFC 3332 (Section 3.8.1 Error) says:

   The "Unexpected Message" error MAY be sent if a defined and
   recognized message is received that is not expected in the current
   state (in some cases the ASP may optionally silently discard the
   message and not send an Error message).  For example, silent discard
   is used by an ASP if it received a DATA message from an SGP while it
   was in the ASP-INACTIVE state. If the Unexpected message contained
   Routing Context(s), the Routing Context(s) SHOULD be included in the
   Error message.

But I would also say that "Unsupported Message Type" fits the bill too:

   The "Unsupported Message Type" error is sent if a message with an
   unexpected or unsupported Message Type is received.

And of course "Protocol Error":

   The "Protocol Error" error is sent for any protocol anomaly (i.e.,
   reception of a parameter that is syntactically correct but unexpected
   in the current situation.

One of the problems that the UAs have is an incomplete state machine
definition: a complete state machine definition would tell the implementor
precisely which error messages to send in which circumstances.  By not
specifying which error messages to send, the protocol specification waters
down the value of the error type: that is, when you receive an error message
it indicates and error, but not what caused the error with precision.

--brian

Saraswati Bose wrote:                             (Tue, 30 May 2006 22:49:42)
> 
>    Hi Brian,
> 
>    What  should be the appropriate response of sigtran endpoint acting as
>    server on receipt of response messages from client end.
> 
>    For  example:  what  if  in  ASP  INACTIVE  state  (ASP  inititates UP
>    procedure) SG receives ACTIVE ACK message?
> 
> 
> 
>    Regards,
>    Saraswati
>      _________________________________________________________________
> 
>    Yahoo!  Messenger with Voice. [1]Make PC-to-Phone Calls to the US (and
>    30+ countries) for 2¢/min or less.
> 
> References
> 
>    1. http://us.rd.yahoo.com/mail_us/taglines/postman1/*http://us.rd.yahoo.com/evt=39663/*http://voice.yahoo.com

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/